Bug 833407 - Samba Change notification not recursive
Samba Change notification not recursive
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: samba (Show other bugs)
7.0
x86_64 Linux
unspecified Severity medium
: rc
: ---
Assigned To: Guenther Deschner
qe-baseos-daemons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-19 08:36 EDT by Gilles Dufour
Modified: 2017-08-14 10:30 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Samba Project 8901 None None None 2012-07-10 12:10:07 EDT

  None (edit)
Description Gilles Dufour 2012-06-19 08:36:25 EDT
I have opened  bug 8901 against Samba due to change notification not being recursive.
I found a code change that works in our lab.
I would like to see this change integrated into an official RHEL5 version.
For reference : https://bugzilla.samba.org/show_bug.cgi?id=8901
Comment 1 Andreas Schneider 2012-09-12 09:36:58 EDT
We only integrate patches which are upstream. There is no upstream patch yet cause Volker wanted to see network traces to create a test to reproduce the problem and fix it correctly. We will be happy to integrate a correct upstream fix for the problem once it has been pushed upstream.
Comment 3 RHEL Product and Program Management 2013-04-04 08:39:59 EDT
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux release.  Product Management has
requested further review of this request by Red Hat Engineering, for
potential inclusion in a Red Hat Enterprise Linux release for currently
deployed products.  This request is not yet committed for inclusion in
a release.
Comment 8 Andreas Schneider 2016-11-07 03:57:56 EST
Samba 4.x introcuced a notifyd to improve change notifications. Change notifications are resurive as long as we operate on the SMB level. This means if a SMB client (CLI1) requests recursive change notifications and a second client (CLI2) does a change in a subdirectory, CLI1 will get a notification.

If CLI1 will not get a change notification if we operate on a file system level. This means if a local user changes a file in a subdirectory on the filesystem directly there will be no notification. The reason is that the kernel inotify is not recursive.

Note You need to log in before you can comment on or make changes to this bug.